oaradmissionrules(8)

NAME
oaradmissionrules - manage admission rules

SYNOPSIS

oaradmissionrules --show-all [options]
    Show all rules

oaradmissionrules --show <rule-id> [options]
    Show rule #rule-id

oaradmissionrules --new [options]
    Create a new rule

oaradmissionrules --modify <rule-id> [options]
    Modify rule #rule-id

oaradmissionrules --delete <rule-id>
    Delete rule #rule-id

DESCRIPTION
Show, create, modify or delete admission rules.

Admission rules are executed within oarsub. As a result, they provide to the administrator a mechanism to deeply interact with the job submission (e.g.: check or modify the resource request or job types set by the user).

Rules are run by order of priority, from the lower to the higher value.

OPTIONS

-s, --show-all
    -Y, --enabled
        Show enabled admission rules only

    -N, --disabled
        Show disabled admission rules only

-s, --show-all
-s, --show [rule-id]
    -I, --id
        Show #rule-id only

    -f, --full
        Show full script

    -H, --no-header
        Show script only

    -w, --to-file [filename]
        Write script to file (%% replaced by #rule-id)

-n, --new
-m, --modify <rule-id>
    -e, --edit [command]
        Edit script using the default editor, or command if provided

    -r, --from-file <filename>
        Read script from file instead of running editor

    -P, --priotity <priority>
        Set priority value for rule

    -Y, --enabled
        Enable admission rule

    -N, --disabled
        Disable admission rule

-d, --delete <rule-id>
    No option

-h, --help
    Print usage

-V, --version
    Print OAR version

COPYRIGHTS
 Copyright 2003-2016 Laboratoire d'Informatique de Grenoble (http://www.liglab.fr). This software is licensed under the GNU General Public License Version 2 or above. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.